Index: branches/NET40/sources/HeuristicLab 3.3 Services.sln
===================================================================
--- branches/NET40/sources/HeuristicLab 3.3 Services.sln	(revision 5138)
+++ branches/NET40/sources/HeuristicLab 3.3 Services.sln	(revision 5142)
@@ -7,7 +7,6 @@
 		..\documentation\License\gpl-3.0.txt = ..\documentation\License\gpl-3.0.txt
 		HeuristicLab 3.3 Services.vsmdi = HeuristicLab 3.3 Services.vsmdi
-		Local.testsettings = Local.testsettings
+		LocalTestRun.testrunconfig = LocalTestRun.testrunconfig
 		PreBuildEvent.cmd = PreBuildEvent.cmd
-		TraceAndTestImpact.testsettings = TraceAndTestImpact.testsettings
 	EndProjectSection
 EndProject
Index: branches/NET40/sources/HeuristicLab 3.3 Services.vsmdi
===================================================================
--- branches/NET40/sources/HeuristicLab 3.3 Services.vsmdi	(revision 5138)
+++ branches/NET40/sources/HeuristicLab 3.3 Services.vsmdi	(revision 5142)
@@ -2,5 +2,5 @@
 <TestLists xmlns="http://microsoft.com/schemas/VisualStudio/TeamTest/2010">
   <TestList name="Lists of Tests" id="8c43106b-9dc1-4907-a29f-aa66a61bf5b6">
-    <RunConfiguration id="2a6da91c-43f0-41c6-bcb4-341a1380c277" name="Local" storage="local.testsettings" type="Microsoft.VisualStudio.TestTools.Common.TestRunConfiguration, Microsoft.VisualStudio.QualityTools.Common, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+    <RunConfiguration id="f9392825-866f-4434-be36-358db28f0c59" name="Local Test Run" storage="localtestrun.testrunconfig" type="Microsoft.VisualStudio.TestTools.Common.TestRunConfiguration, Microsoft.VisualStudio.QualityTools.Common, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
   </TestList>
 </TestLists>
Index: branches/NET40/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.3/HeuristicLab.Algorithms.DataAnalysis.Views-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.3/HeuristicLab.Algorithms.DataAnalysis.Views-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.3/HeuristicLab.Algorithms.DataAnalysis.Views-3.3.csproj	(revision 5142)
@@ -11,5 +11,7 @@
     <RootNamespace>HeuristicLab.Algorithms.DataAnalysis.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.DataAnalysis.Views-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
   </PropertyGroup>
@@ -106,5 +108,4 @@
     <Reference Include="System.Drawing" />
     <Reference Include="System.Windows.Forms" />
-    <Reference Include="System.Windows.Forms.DataVisualization, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
Index: branches/NET40/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/HeuristicLab.Algorithms.DataAnalysis-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/HeuristicLab.Algorithms.DataAnalysis-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/HeuristicLab.Algorithms.DataAnalysis-3.3.csproj	(revision 5142)
@@ -20,5 +20,6 @@
     <StartupObject>
     </StartupObject>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <PublishUrl>publish\</PublishUrl>
     <Install>true</Install>
Index: branches/NET40/sources/HeuristicLab.Algorithms.EvolutionStrategy/3.3/HeuristicLab.Algorithms.EvolutionStrategy-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Algorithms.EvolutionStrategy/3.3/HeuristicLab.Algorithms.EvolutionStrategy-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Algorithms.EvolutionStrategy/3.3/HeuristicLab.Algorithms.EvolutionStrategy-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Algorithms.EvolutionStrategy</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.EvolutionStrategy-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/HeuristicLab.Algorithms.GeneticAlgorithm-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/HeuristicLab.Algorithms.GeneticAlgorithm-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/HeuristicLab.Algorithms.GeneticAlgorithm-3.3.csproj	(revision 5142)
@@ -20,5 +20,6 @@
     <StartupObject>
     </StartupObject>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <PublishUrl>publish\</PublishUrl>
     <Install>true</Install>
Index: branches/NET40/sources/HeuristicLab.Algorithms.LocalSearch/3.3/HeuristicLab.Algorithms.LocalSearch-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Algorithms.LocalSearch/3.3/HeuristicLab.Algorithms.LocalSearch-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Algorithms.LocalSearch/3.3/HeuristicLab.Algorithms.LocalSearch-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Algorithms.LocalSearch</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.LocalSearch-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/HeuristicLab.Algorithms.SimulatedAnnealing-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/HeuristicLab.Algorithms.SimulatedAnnealing-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/HeuristicLab.Algorithms.SimulatedAnnealing-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Algorithms.SimulatedAnnealing</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.SimulatedAnnealing-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Algorithms.TabuSearch/3.3/HeuristicLab.Algorithms.TabuSearch-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Algorithms.TabuSearch/3.3/HeuristicLab.Algorithms.TabuSearch-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Algorithms.TabuSearch/3.3/HeuristicLab.Algorithms.TabuSearch-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Algorithms.TabuSearch</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.TabuSearch-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Analysis.Views/3.3/HeuristicLab.Analysis.Views-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Analysis.Views/3.3/HeuristicLab.Analysis.Views-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Analysis.Views/3.3/HeuristicLab.Analysis.Views-3.3.csproj	(revision 5142)
@@ -11,5 +11,7 @@
     <RootNamespace>HeuristicLab.Analysis.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Analysis.Views-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
@@ -104,5 +106,5 @@
     <Reference Include="System.Drawing" />
     <Reference Include="System.Windows.Forms" />
-    <Reference Include="System.Windows.Forms.DataVisualization, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
+    <Reference Include="System.Windows.Forms.DataVisualization" />
     <Reference Include="System.Xml.Linq">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
Index: branches/NET40/sources/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Analysis</RootNamespace>
     <AssemblyName>HeuristicLab.Analysis-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Clients.Common/3.3/HeuristicLab.Clients.Common-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Clients.Common/3.3/HeuristicLab.Clients.Common-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Clients.Common/3.3/HeuristicLab.Clients.Common-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Clients.Common</RootNamespace>
     <AssemblyName>HeuristicLab.Clients.Common-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
Index: branches/NET40/sources/HeuristicLab.CodeEditor/3.3/HeuristicLab.CodeEditor-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.CodeEditor/3.3/HeuristicLab.CodeEditor-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.CodeEditor/3.3/HeuristicLab.CodeEditor-3.3.csproj	(revision 5142)
@@ -8,5 +8,6 @@
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
     <ProjectGuid>{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}</ProjectGuid>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
     <NoStdLib>False</NoStdLib>
Index: branches/NET40/sources/HeuristicLab.Collections/3.3/HeuristicLab.Collections-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Collections/3.3/HeuristicLab.Collections-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Collections/3.3/HeuristicLab.Collections-3.3.csproj	(revision 5142)
@@ -11,5 +11,7 @@
     <RootNamespace>HeuristicLab.Collections</RootNamespace>
     <AssemblyName>HeuristicLab.Collections-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Common.Resources/3.3/HeuristicLab.Common.Resources-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Common.Resources/3.3/HeuristicLab.Common.Resources-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Common.Resources/3.3/HeuristicLab.Common.Resources-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Common.Resources</RootNamespace>
     <AssemblyName>HeuristicLab.Common.Resources-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Common/3.3/HeuristicLab.Common-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Common/3.3/HeuristicLab.Common-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Common/3.3/HeuristicLab.Common-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Common</RootNamespace>
     <AssemblyName>HeuristicLab.Common-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Core.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Core.Views-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Core.Views/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/NET40/sources/HeuristicLab.Core.Views/3.3/Properties/AssemblyInfo.frame	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Core.Views/3.3/Properties/AssemblyInfo.frame	(revision 5142)
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using System.Security;
 
 // General Information about an assembly is controlled through the following 
@@ -36,5 +35,4 @@
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
-[assembly: AllowPartiallyTrustedCallers]
 
 // Setting ComVisible to false makes the types in this assembly not visible 
Index: branches/NET40/sources/HeuristicLab.Core/3.3/HeuristicLab.Core-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Core/3.3/HeuristicLab.Core-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Core/3.3/HeuristicLab.Core-3.3.csproj	(revision 5142)
@@ -19,5 +19,6 @@
     </UpgradeBackupLocation>
     <IsWebBootstrapper>true</IsWebBootstrapper>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <PublishUrl>http://localhost/HeuristicLab.Core/</PublishUrl>
     <Install>true</Install>
Index: branches/NET40/sources/HeuristicLab.Core/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/NET40/sources/HeuristicLab.Core/3.3/Properties/AssemblyInfo.frame	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Core/3.3/Properties/AssemblyInfo.frame	(revision 5142)
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using System.Security;
 
 // General Information about an assembly is controlled through the following 
@@ -36,5 +35,4 @@
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
-[assembly: AllowPartiallyTrustedCallers]
 
 // Setting ComVisible to false makes the types in this assembly not visible 
Index: branches/NET40/sources/HeuristicLab.Data.Views/3.3/HeuristicLab.Data.Views-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Data.Views/3.3/HeuristicLab.Data.Views-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Data.Views/3.3/HeuristicLab.Data.Views-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Data.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Data.Views-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Data/3.3/HeuristicLab.Data-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Data/3.3/HeuristicLab.Data-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Data/3.3/HeuristicLab.Data-3.3.csproj	(revision 5142)
@@ -19,5 +19,6 @@
     </UpgradeBackupLocation>
     <IsWebBootstrapper>true</IsWebBootstrapper>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <PublishUrl>http://localhost/HeuristicLab.Data/</PublishUrl>
     <Install>true</Install>
Index: branches/NET40/sources/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.DebugEngine</RootNamespace>
     <AssemblyName>HeuristicLab.DebugEngine-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
Index: branches/NET40/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Encodings.BinaryVectorEncoding</RootNamespace>
     <AssemblyName>HeuristicLab.Encodings.BinaryVectorEncoding-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.Tests.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.Tests.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.Tests.csproj	(revision 5142)
@@ -161,7 +161,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Shadow Include="Test References\HeuristicLab.Encodings.BinaryVectors-3.3.accessor" />
-  </ItemGroup>
-  <ItemGroup>
     <BootstrapperPackage Include=".NETFramework,Version=v4.0">
       <Visible>False</Visible>
@@ -185,4 +182,7 @@
     </BootstrapperPackage>
   </ItemGroup>
+  <ItemGroup>
+    <Shadow Include="Test References\HeuristicLab.Encodings.BinaryVectorEncoding-3.3.accessor" />
+  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: branches/NET40/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.accessor
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.accessor	(revision 5142)
+++ branches/NET40/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.accessor	(revision 5142)
@@ -0,0 +1,2 @@
+HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll
+Desktop
Index: branches/NET40/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/HeuristicLab.Encodings.IntegerVectorEncoding-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/HeuristicLab.Encodings.IntegerVectorEncoding-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/HeuristicLab.Encodings.IntegerVectorEncoding-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Encodings.IntegerVectorEncoding</RootNamespace>
     <AssemblyName>HeuristicLab.Encodings.IntegerVectorEncoding-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3.Tests.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3.Tests.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3.Tests.csproj	(revision 5142)
@@ -153,7 +153,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Shadow Include="Test References\HeuristicLab.Encodings.IntVector-3.3.accessor" />
-  </ItemGroup>
-  <ItemGroup>
     <BootstrapperPackage Include=".NETFramework,Version=v4.0">
       <Visible>False</Visible>
@@ -177,4 +174,7 @@
     </BootstrapperPackage>
   </ItemGroup>
+  <ItemGroup>
+    <Shadow Include="Test References\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.accessor" />
+  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: branches/NET40/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.IntegerVectorEncoding-3.3.accessor
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.IntegerVectorEncoding-3.3.accessor	(revision 5142)
+++ branches/NET40/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.IntegerVectorEncoding-3.3.accessor	(revision 5142)
@@ -0,0 +1,2 @@
+HeuristicLab.Encodings.IntegerVectorEncoding-3.3.dll
+Desktop
Index: branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding.Views/3.3/HeuristicLab.Encodings.PermutationEncoding.Views-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding.Views/3.3/HeuristicLab.Encodings.PermutationEncoding.Views-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding.Views/3.3/HeuristicLab.Encodings.PermutationEncoding.Views-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Encodings.PermutationEncoding.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Encodings.PermutationEncoding.Views-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/HeuristicLab.Encodings.PermutationEncoding-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/HeuristicLab.Encodings.PermutationEncoding-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/HeuristicLab.Encodings.PermutationEncoding-3.3.csproj	(revision 5142)
@@ -18,5 +18,6 @@
     <UpgradeBackupLocation>
     </UpgradeBackupLocation>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <PublishUrl>publish\</PublishUrl>
     <Install>true</Install>
Index: branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Tests/HeuristicLab.Encodings.PermutationEncoding-3.3.Tests.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Tests/HeuristicLab.Encodings.PermutationEncoding-3.3.Tests.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Tests/HeuristicLab.Encodings.PermutationEncoding-3.3.Tests.csproj	(revision 5142)
@@ -167,7 +167,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Shadow Include="Test References\HeuristicLab.Encodings.Permutation-3.3.accessor" />
-  </ItemGroup>
-  <ItemGroup>
     <BootstrapperPackage Include=".NETFramework,Version=v4.0">
       <Visible>False</Visible>
@@ -190,4 +187,7 @@
       <Install>true</Install>
     </BootstrapperPackage>
+  </ItemGroup>
+  <ItemGroup>
+    <Shadow Include="Test References\HeuristicLab.Encodings.PermutationEncoding-3.3.accessor" />
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
Index: branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.PermutationEncoding-3.3.accessor
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.PermutationEncoding-3.3.accessor	(revision 5142)
+++ branches/NET40/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.PermutationEncoding-3.3.accessor	(revision 5142)
@@ -0,0 +1,2 @@
+HeuristicLab.Encodings.PermutationEncoding-3.3.dll
+Desktop
Index: branches/NET40/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/HeuristicLab.Encodings.RealVectorEncoding-3.3.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/HeuristicLab.Encodings.RealVectorEncoding-3.3.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/HeuristicLab.Encodings.RealVectorEncoding-3.3.csproj	(revision 5142)
@@ -11,5 +11,6 @@
     <RootNamespace>HeuristicLab.Encodings.RealVectorEncoding</RootNamespace>
     <AssemblyName>HeuristicLab.Encodings.RealVectorEncoding-3.3</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile></TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/NET40/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3.Tests.csproj
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3.Tests.csproj	(revision 5138)
+++ branches/NET40/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3.Tests.csproj	(revision 5142)
@@ -163,7 +163,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Shadow Include="Test References\HeuristicLab.Encodings.RealVector-3.3.accessor" />
-  </ItemGroup>
-  <ItemGroup>
     <BootstrapperPackage Include=".NETFramework,Version=v4.0">
       <Visible>False</Visible>
@@ -187,4 +184,7 @@
     </BootstrapperPackage>
   </ItemGroup>
+  <ItemGroup>
+    <Shadow Include="Test References\HeuristicLab.Encodings.RealVectorEncoding-3.3.accessor" />
+  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: branches/NET40/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.RealVectorEncoding-3.3.accessor
===================================================================
--- branches/NET40/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.RealVectorEncoding-3.3.accessor	(revision 5142)
+++ branches/NET40/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/Tests/Test References/HeuristicLab.Encodings.RealVectorEncoding-3.3.accessor	(revision 5142)
@@ -0,0 +1,2 @@
+HeuristicLab.Encodings.RealVectorEncoding-3.3.dll
+Desktop
